# leave server
tp @a[scores={leaveServer=1..}] 500 20 500 0 0
clear @a[scores={leaveServer=1..}]
gamemode adventure @a[scores={leaveServer=1..}]
scoreboard players reset @a[scores={leaveServer=1..}] rejoin
effect clear @a[scores={leaveServer=1..}] speed
effect clear @a[scores={leaveServer=1..}] jump_boost
scoreboard players reset @a[scores={leaveServer=1..}] LobbyMusic
scoreboard players reset @a[scores={leaveServer=1..}] LobbyMusic2
scoreboard players reset @a[scores={leaveServer=1..}] LobbyMusic3
scoreboard players set @a[scores={leaveServer=1..}] ingame 0
scoreboard players reset @a[scores={leaveServer=1..}] leaveServer

# spec
gamemode spectator @a[tag=spec]
tp @a[tag=spec] 625 40 625
tag @a remove spec

function game:items

function game:menu

execute as @e[name=Map,type=armor_stand,scores={countdown=-11..}] at @s positioned ~ ~ ~ run function game:countdown

execute as @e[tag=button,scores={timer=1..}] at @s positioned ~ ~ ~ run function game:buttontitle

particle cloud 486 15 485 20 10 20 .1 2

tp @a[gamemode=!creative,x=500,y=35,z=500,distance=..10] 500 20 500

#bedremove
scoreboard players set @e[type=tnt,x=615,y=30,z=615,distance=..90,nbt={Fuse:1s}] tntEnd 1
execute as @e[scores={tntEnd=1..},type=!creeper] at @s positioned ~ ~ ~ run function game:bedremove
execute as @e[type=tnt,scores={tntEnd=1..}] at @s positioned ~ ~ ~ run fill ~ ~ ~ ~ ~ ~ air
scoreboard players set @e[type=creeper,nbt={ignited:1b}] tntEnd 1
execute as @e[type=creeper,scores={tntEnd=1..}] at @s run fill ~ ~ ~ ~ ~ ~ air

#powers
tag @a[scores={throwP1=1..}] add pro1
scoreboard players set @a throwP1 0
execute as @a[tag=pro1] at @s positioned ~ ~ ~ run function game:pro1
tag @a remove pro1
execute as @e[name=pro1] at @s positioned ~ ~ ~ run function game:movevol
scoreboard players add @e[name=pro1] prolife 1
kill @e[scores={prolife=60..}]
scoreboard players remove @e[name=pro1,scores={DirX=-70..}] DirX 1

scoreboard players remove @a[scores={Sreload=1..}] Sreload 1

#kit
scoreboard players enable @a kit
execute as @a[scores={kit=0..}] at @s positioned ~ ~ ~ run function game:kit

#explode creepers
scoreboard players set @a CPbomb 0
scoreboard players set @a[nbt={Inventory:[{Slot:100b,id:"minecraft:golden_boots"}]}] CPbomb 1
scoreboard players set @a[scores={CPbomb=1..}] CPtimer 140
execute as @a[scores={CPtimer=1..}] at @s positioned ~ ~ ~ run function game:excreep

#particle
execute as @a[scores={Invis=..0,particle=1}] at @s positioned ~ ~ ~ run particle flame ~ ~.1 ~ .3 .1 .3 .02 1
execute as @a[scores={Invis=..0,particle=2}] at @s positioned ~ ~.05 ~ run particle cloud ~ ~.2 ~ .3 .1 .3 0 3
execute as @a[scores={Invis=..0,particle=3}] at @s positioned ~ ~ ~ run particle dragon_breath ~ ~.1 ~ .5 .1 .5 .04 2
execute as @a[scores={Invis=..0,particle=4}] at @s positioned ~ ~ ~ run particle enchant ~ ~.1 ~ .5 .5 .5 .1 2
execute as @a[scores={Invis=..0,particle=5}] at @s positioned ~ ~ ~ run particle minecraft:dust 15277350 20 2 2 ~ ~ ~ .2 .2 .2 0 3
execute as @a[scores={Invis=..0,particle=6}] at @s positioned ~ ~ ~ run particle angry_villager ~ ~2.5 ~ .3 .2 .3 0 1
execute as @a[scores={Invis=..0,particle=6}] at @s positioned ~ ~ ~ run particle dripping_water ~ ~3.1 ~ .2 .3 .2 0 1
execute as @a[scores={Invis=..0,particle=7}] at @s positioned ~ ~ ~ run particle note ~ ~-.5 ~ .3 .6 .3 0 1
execute as @a[scores={Invis=..0,particle=8}] at @s positioned ~ ~ ~ run particle witch ~ ~ ~ .3 .2 .3 0 1
execute as @a[scores={Invis=..0,particle=8}] at @s positioned ~ ~ ~ run particle minecraft:dragon_breath ~ ~ ~ 2.5 0 2.5 .02 1
execute as @a[scores={Invis=..0,particle=9}] at @s positioned ~ ~ ~ run particle end_rod ~ ~ ~ .2 .2 .2 .05 1
execute as @a[scores={Invis=..0,particle=9}] at @s positioned ~ ~ ~ run particle crit ~ ~ ~ 1.5 1.5 1.5 .05 1

#misc
kill @e[x=595,z=595,y=-10,dx=45,dz=45,dy=10,distance=..1000,type=fireball]
effect give @a[scores={hunger=..19}] saturation 5 10 true
execute as @e[type=creeper] at @s run data merge entity @s {Fire:0}
scoreboard players set @a[gamemode=spectator] Invis 5

#use portal
scoreboard players set @a SetPortalP 0
scoreboard players set @r[scores={SetPortal=1..}] SetPortalP 1
scoreboard players set @a[scores={SetPortalP=1..}] SetPortal 0

scoreboard players operation @e[name=Portal] tntID -= @p[scores={SetPortalP=1..}] tntID
kill @e[name=Portal,type=armor_stand,scores={tntID=0}]
scoreboard players operation @e[name=Portal] tntID += @p[scores={SetPortalP=1..}] tntID

execute as @p[scores={SetPortalP=1..}] at @s positioned ~ ~ ~ run summon armor_stand ~ ~ ~ {NoGravity:1,CustomName:"{\"italic\":false,\"text\":\"Portal\"}",Invulnerable:1,Marker:1,Invisible:1}

scoreboard players add @e[name=Portal,type=armor_stand] PS 1
execute as @p[scores={SetPortalP=1..}] at @s positioned ~ ~ ~ run scoreboard players operation @e[name=Portal,type=armor_stand,distance=..1] tntID = @p tntID

scoreboard players set @a GoPortalP 0
scoreboard players set @r[scores={GoPortal=1..}] GoPortalP 1
scoreboard players set @a[scores={GoPortalP=1..}] GoPortal 0

scoreboard players operation @e[name=Portal] tntID -= @p[scores={GoPortalP=1..}] tntID
execute as @e[name=Portal,type=armor_stand,scores={tntID=0},limit=1] at @s positioned ~ ~ ~ run execute as @a[scores={GoPortalP=1..},distance=..15] at @s positioned ~ ~ ~ run summon tnt ~ ~ ~ {Fuse:2}
execute as @e[name=Portal,type=armor_stand,scores={tntID=0},limit=1] at @s positioned ~ ~ ~ run teleport @a[scores={GoPortalP=1..},distance=..15] ~ ~ ~
execute as @e[name=Portal,type=armor_stand,scores={tntID=0},limit=1] at @s positioned ~ ~ ~ run xp add @a[scores={GoPortalP=1..},distance=..15] 20 levels
execute as @e[name=Portal,type=armor_stand] at @s positioned ~ ~1 ~ run particle totem_of_undying ~ ~ ~ .1 0 .1 .1 2 force
execute as @e[name=Portal,type=armor_stand,scores={tntID=0},limit=1] at @s positioned ~ ~ ~ run scoreboard players set @a[scores={GoPortalP=1..},distance=..15] timer 1
scoreboard players set @a[scores={GoPortalP=1..}] haveportal 0
execute as @e[name=Portal,type=armor_stand,scores={tntID=0},limit=1] at @s positioned ~ ~ ~ run scoreboard players set @a[scores={GoPortalP=1..},distance=..15] haveportal 1
execute as @a[scores={GoPortalP=1..}] at @s positioned ~ ~ ~ run kill @e[name=Portal,type=armor_stand,scores={tntID=0},limit=1,distance=..15]
scoreboard players operation @e[name=Portal] tntID += @p[scores={GoPortalP=1..}] tntID
title @a[scores={GoPortalP=1..,haveportal=..0}] actionbar {"text":"No portal nearby","color":"green"}

scoreboard players add @e[name=Portal,type=armor_stand] PLife 1
kill @e[name=Portal,type=armor_stand,scores={PLife=140..}]

#Y
execute as @a store result score @s Y run data get entity @s Pos[1]
scoreboard players set @a[scores={Y=..0}] Y 0
#execute as @a at @s run fill ~ ~ ~ ~ 0 ~ minecraft:bone_block replace air
#execute as @a at @s store result score @s Y run fill ~ ~ ~ ~ 0 ~ minecraft:air replace bone_block
scoreboard players set @a[gamemode=spectator] Y 45
scoreboard players set @a[x=600,y=60,z=600,distance=..3] Y 45

#respawn
execute as @a[scores={Y=..0},x=620,y=20,z=620,distance=..100] at @s positioned ~ ~ ~ run playsound minecraft:entity.wither.hurt master @a ~ 8 ~ 1 1.5
execute as @a[scores={Y=..0},x=620,y=20,z=620,distance=..100] at @s positioned ~ ~ ~ run particle explosion_emitter ~ 1 ~ 1 3 1 1 20
execute as @a[scores={Lives=5,Y=..0},tag=DthM,x=620,y=20,z=620,distance=..100] at @s positioned ~ ~ ~ run tellraw @a ["",{"selector":"@p[scores={Y=..0,Lives=5}]"},{"text":" fell!","color":"white"},{"text":" 4 ","color":"dark_green","bold":true},{"text":"lives remaining","color":"none","bold":false}]
execute as @a[scores={Lives=4,Y=..0},tag=DthM,x=620,y=20,z=620,distance=..100] at @s positioned ~ ~ ~ run tellraw @a ["",{"selector":"@p[scores={Y=..0,Lives=4}]"},{"text":" fell!","color":"white"},{"text":" 3 ","color":"gold","bold":true},{"text":"lives remaining","color":"none","bold":false}]
execute as @a[scores={Lives=3,Y=..0},tag=DthM,x=620,y=20,z=620,distance=..100] at @s positioned ~ ~ ~ run tellraw @a ["",{"selector":"@p[scores={Y=..0,Lives=3}]"},{"text":" fell!","color":"white"},{"text":" 2 ","color":"red","bold":true},{"text":"lives remaining","color":"none","bold":false}]
execute as @a[scores={Lives=2,Y=..0},tag=DthM,x=620,y=20,z=620,distance=..100] at @s positioned ~ ~ ~ run tellraw @a ["",{"selector":"@p[scores={Y=..0,Lives=2}]"},{"text":" fell!","color":"white"},{"text":" 1 ","color":"dark_red","bold":true},{"text":"life remaining","color":"none","bold":false}]
scoreboard players remove @a[scores={Lives=1..,Y=..0}] Lives 1
execute as @a[scores={Lives=1..,Y=..0}] at @s positioned ~ ~ ~ run summon armor_stand ~ 44 ~ {NoGravity:1,Invlunerable:1,Marker:1,CustomName:"{\"italic\":false,\"text\":\"SP\"}",Invisible:1}
execute as @a[scores={Lives=1..,Y=..0}] at @s run function game:killender
execute as @a[scores={Lives=1..,Y=..0}] at @s run tp @s ~ 45 ~
#execute as @a[scores={Lives=1..,Y=..0}] at @s run scoreboard players set @s Y 45
effect clear @a[scores={Y=..0}] blindness
scoreboard players set @a[scores={Y=..0}] fall 3
execute as @a[scores={Lives=1..,Y=..0}] at @s positioned ~ ~-1 ~ run fill ~1 44 ~1 ~-1 44 ~-1 white_stained_glass replace air
#execute as @a[scores={Lives=1..,Y=..0}] at @s run tp @s ~ 999 ~
#scoreboard players remove @a[scores={Lives=1..,Y=..0}] Lives 1
scoreboard players set @a[scores={Lives=1..,Y=..0}] Y 45
scoreboard players add @a[scores={rejoin=1..}] timer 0
#scoreboard players add @a[scores={rejoin=1..}] Y 0
effect give @a[scores={rejoin=1..}] resistance 1000000 255 true
effect give @a[scores={rejoin=1..}] saturation 1000000 255 true
execute as @a[scores={Y=..0},tag=DthM,x=620,y=20,z=620,distance=..100] at @s positioned ~ ~ ~ run tellraw @a [{"selector":"@p[scores={Y=..0}]"},{"text":" died!","color":"green"}]
tp @a[scores={rejoin=1..,inarena=..0}] 500 20.5 500 0 0
#scoreboard players reset @a[scores={bow_min=1,scores={rejoin=1..}] bow
scoreboard players add @a[scores={rejoin=1..}] class 0
gamemode spectator @a[scores={Y=..0,inarena=1..}]
tp @a[scores={Y=..0,inarena=1..}] 614 40 614
title @a times 0 10 20
effect clear @a[scores={rejoin=1..}] blindness
scoreboard players reset @a[scores={rejoin=1..}] rejoin

#feather
effect give @a[scores={featherTh=1..}] speed 1 4
effect give @a[scores={featherTh=1..}] levitation 1 0
scoreboard players remove @a[scores={featherTh=1..}] featherTh 1

#tnt
execute as @e[type=armor_stand,tag=stnt] at @s run execute as @e[distance=..15,tag=!tnt,type=tnt] at @s run data merge entity @s {Fuse:360}
execute as @e[type=armor_stand,tag=stnt] at @s run execute as @e[distance=..15,tag=!tnt,type=tnt] at @s run scoreboard players set @e[type=armor_stand,tag=timer] timer 301
#execute as @e[type=armor_stand,tag=stnt] at @s run tp @e[distance=..3,tag=tnt,type=tnt] 490 16.4 495
execute as @e[type=armor_stand,tag=stnt] at @s run tag @e[type=tnt,tag=!tnt,distance=..15] add tnt
execute as @e[tag=timer,scores={timer=1}] at @s run function game:tntblow

# armor
replaceitem entity @a[scores={Invis=2..}] armor.chest minecraft:air{Unbreakable:1}
replaceitem entity @a[scores={class=2,ingame=1..,Invis=0..1},x=620,y=20,z=620,distance=..500] armor.chest minecraft:diamond_chestplate{Unbreakable:1}
replaceitem entity @a[scores={class=0,ingame=1..,Invis=0..1},x=620,y=20,z=620,distance=..500] armor.chest minecraft:iron_chestplate{Unbreakable:1}
replaceitem entity @a[scores={class=1,ingame=1..,Invis=0..1},x=620,y=20,z=620,distance=..500] armor.chest minecraft:golden_chestplate{Unbreakable:1}
replaceitem entity @a[scores={Invis=2..}] armor.head minecraft:air{Unbreakable:1}
replaceitem entity @a[scores={class=3,teamed=..0,Invis=0..1},x=620,y=20,z=620,distance=..500] armor.head minecraft:leather_helmet{Unbreakable:1}
replaceitem entity @a[tag=red,x=620,y=20,z=620,distance=..500,scores={teamed=1..,Invis=0..1,ingame=1..}] armor.head red_stained_glass{ench:[{id:10,lvl:1}]}
replaceitem entity @a[tag=green,x=620,y=20,z=620,distance=..500,scores={teamed=1..,Invis=0..1,ingame=1..}] armor.head green_stained_glass{ench:[{id:10,lvl:1}]}
replaceitem entity @a[tag=blue,x=620,y=20,z=620,distance=..500,scores={teamed=1..,Invis=0..1,ingame=1..}] armor.head blue_stained_glass{ench:[{id:10,lvl:1}]}
replaceitem entity @a[x=500,y=20,z=500,distance=..80,scores={class=0..2,teamed=..0}] armor.head minecraft:air{Unbreakable:1}
replaceitem entity @a[x=500,y=20,z=500,distance=..80,scores={ingame=..0}] armor.head minecraft:air{Unbreakable:1}
replaceitem entity @a[scores={class=3,Invis=0..1,ingame=1..},x=620,y=20,z=620,distance=..500] armor.chest minecraft:leather_chestplate{Unbreakable:1}
replaceitem entity @a[scores={class=4,Invis=0..1,ingame=1..},x=620,y=20,z=620,distance=..500] armor.chest minecraft:chainmail_chestplate{Unbreakable:1}
replaceitem entity @a[x=500,y=20,z=500,distance=..80,scores={ingame=..0}] armor.chest minecraft:air{Unbreakable:1}
replaceitem entity @a[x=500,y=20,z=500,distance=..80,scores={class=4,teamed=..0}] armor.head minecraft:air{Unbreakable:1}
replaceitem entity @a[scores={class=6,Invis=0..1,ingame=1..},x=620,y=20,z=620,distance=..500] armor.chest minecraft:leather_chestplate{Unbreakable:1,display:{color:0}}
replaceitem entity @a[x=620,y=20,z=620,distance=..500,scores={class=5,teamed=..0,Invis=0..1}] armor.head minecraft:diamond_helmet{Unbreakable:1}
replaceitem entity @a[x=500,y=20,z=500,distance=..80,scores={class=5..6,ingame=..0}] armor.head minecraft:air{Unbreakable:1}
replaceitem entity @a[scores={class=4,Invis=0..1,ingame=1..},x=620,y=20,z=620,distance=..500] armor.chest minecraft:chainmail_chestplate{Unbreakable:1}
replaceitem entity @a[scores={class=5,Invis=0..1,ingame=1..},x=620,y=20,z=620,distance=..500] armor.chest minecraft:air{Unbreakable:1}
replaceitem entity @a[scores={class=6,teamed=..0,Invis=0..1,ingame=1..},x=620,y=20,z=620,distance=..500] armor.head minecraft:air{Unbreakable:1}
